# 22_23-J 46
·       Main objective
 The main objective is to come up with a framework to build the optimum cricket team/squad, efficacy of current players (current form) and selecting the winner from given two teams utilizing the existing historical data.

·       Main Research questions
Cricket has 3 major formats namely Test cricket, ODI cricket and T20 cricket. Even Though the fan bases are slightly different they garner enough attention to be globally broadcasted. Every cricket team is a result of multiple decisions made by a selection committee. They are tasked with selecting the players and finalizing the team for upcoming games. Selection process has become more important than ever due to the popularity of franchise cricket. Apart from major ICC events and tournaments many franchise leagues happen throughout the year where franchise teams constantly look to pick the best international and local talents to create a balanced team which can improve their chances of winning. Selection committee usually consists of cricketing veterans, former players, coaches and even may include the captain of the side. Objective of them is to select the best, most suitable side to represent the country or the franchise in the forthcoming games and tournaments. Selection committee takes multiple factors into consideration when selecting a squad. They would look at the current form of the players (their recent performances), opposition the games are played against, venues and pitch conditions etc. In doing so they might act biased and may select subpar players factors other than meritocracy. Further they may come to wrong conclusions and might still pick a good player to a wrong role within the team. 

Further stats alone aren’t sufficient to select the best players and we have come to a point where measuring the impact a player makes on the field makes better sense. For an example a century made by a player in Australia against Australia facing a world class bowling line up under challenging conditions in a winning cause is more valuable and impactful performance than a century made by another player in home conditions against a weaker side such as Zimbabwe in a losing cause. If these two said players are fighting for the same spot in the team choosing the former is ideal based on his impactful performance. Stats may say both players made centuries, but further analysis would put one century ahead of the other. Further we can consider factors such as number of recent Man of the match awards, Man of the series awards, player performance at semi or finals of critical ICC events, Players winning percentage and team performance with the said player and without the player to evaluate his overall impact. This is a more fair way of evaluating players and performances and this weighted approach can help selection committees better, in finalizing the right team.

 Further this can help players to identify how their performances vary and improve on the areas they are lagging behind. Additionally, selection committee can better justify their decision to select a particular player to media, sponsors and other stakeholders who are interested in the team. Therefore, this research will help to evaluate players and performances based on impact and thereby facilitate the selectors to make strategic decisions when it comes to team selections.

·       Individual research question
Most studies around this topic suffer from the below limitations. Therefore, the objective is to address these limitations and offer a better overall model through this research.
1.	Predict a batsman's score, team score or, bowlers figures etc.
2.	Lots of work has been done around other sports
3.	Most are statistical models. 
4.	Most do not take either all-rounders or wicketkeepers into consideration or fielding efforts.
5.	Too many Hands defined heuristics and labels.
       Our research will purely focus on cricket, and it will take all types of players in to consideration. Since it contains a learning component it will not necessarily be just a statistical model. Further unlike most other studies, we will not be using any hand-defined heuristics for this research. Whenever hand-designed values are used outcome of the research outcome can highly vary on the selected values and the rationale behind selecting those said values is very subjective.


·       Individual Objectives
Sub Objective 1:
Rate National players. In here, we analyze the data regarding the players performances in international matches. This step is to figure out the base values beyond which a player is considered great, average or below standards. This can be statistically done looking at the players in the past and the common attributes they have displayed. The runs scored in a particular match is the most important factor for a batsman and for bowlers, most important factor is wickets.

Sub Objective 2:
Rate First class players. Since the data is not available for the first-class players regarding the international matches, we analyze the data regarding the players performances in first class matches.

Sub Objective 3:
Win/loss prediction. In here, given 2 teams this can act as a predictor as well. it will display what is the stronger team of the 2 lineups given. 


Sub Objective 4:
Team prediction. Select the best 11 players such that it maximizes the aforementioned winning probability against an opposition line up. Assume we have the opposition squad also at hand, visitors squad is usually announced prior to the home squad. we can pick the possible combination of 11s from that squad of the opposition who will likely play the match. we can pick our 11 based on that.


·       Other necessary information

Member 1
In this part we attempt to predict Win/loss teams. NN will suggest what is the stronger lineup of the two lineups given. Further depending on the historical data, it has seen it will be able to predict what the better team is given 2 teams. 

Member 2
In this part, we assume that we have a general idea of what the player pool would look like. (e.g.- imagine you have a list of cricketers who has done well domestically and internationally recently at your disposal). This is intuitive since we would only select from a list of players who have performed well. therefore, we will be selecting 11 players for the team from a curated pool.

Member 3
The player’s efficacy (current form) depends on numerous factors such as the location where the match being play (home or away), average rate, strike rate, runs scored at a particular venue, no of wickets taken at a particular venue, no of catches taken at a particular venue, no of innings played against the opposition teams etc. In this part we attempt to predict the efficacy (current form) of the players utilizing the existing previous years historical data.



